automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

48-fyi-fix-tests.patch


From: Akim Demaille
Subject: 48-fyi-fix-tests.patch
Date: Fri, 26 Oct 2001 11:39:36 +0200

Index: ChangeLog
from  Akim Demaille  <address@hidden>
        
        * tests/stamph2.test: Strengthen.
        * tests/confh2.test, tests/confh3.test: Remove.
        These are bad tests: they don't check the effects, but some
        internal details in Makefile.
        And they are covered by stamph2.test.
        
Index: tests/Makefile.am
--- tests/Makefile.am Wed, 24 Oct 2001 19:20:59 +0200 akim
+++ tests/Makefile.am Fri, 26 Oct 2001 00:42:38 +0200 akim
@@ -84,8 +84,6 @@
 confdeps.test \
 confdist.test \
 confh.test \
-confh2.test \
-confh3.test \
 confh4.test \
 config.test \
 confincl.test \
Index: tests/stamph2.test
--- tests/stamph2.test Tue, 07 Aug 2001 20:20:45 +0200 akim
+++ tests/stamph2.test Fri, 26 Oct 2001 00:34:48 +0200 akim
@@ -1,29 +1,42 @@
 #! /bin/sh
 
 # Make sure stamp-h* files are created where we expect
-
 . $srcdir/defs || exit 1
 
 cat > configure.in << 'END'
 AC_INIT(Makefile.am)
 AM_INIT_AUTOMAKE(nonesuch, nonesuch)
-AM_CONFIG_HEADER(firstfile.h sdir/secondfile.h thirdfile.h)
+AM_CONFIG_HEADER(1.h
+                 2.h:config.hin
+                 3.h:sdir1/config1.hin
+
+                 sdir1/4.h
+                 sdir1/5.h:config.hin
+                 sdir1/6.h:sdir1/config1.hin
+                 sdir1/7.h:sdir2/config2.hin)
 AC_OUTPUT(Makefile)
 END
 
 : > Makefile.am
-mkdir sdir
-: > firstfile.h.in
-: > sdir/secondfile.h.in
-: > thirdfile.h.in
-
-# Fail gracefully if no autoconf.
-$needs_autoconf
+mkdir sdir1
+mkdir sdir2
+: > config.hin
+: > 1.h.in
+: > sdir1/4.h.in
+: > sdir1/config1.hin
+: > sdir2/config2.hin
 
 $ACLOCAL || exit 1
 $AUTOCONF || exit 1
 $AUTOMAKE || exit 1
 ./configure || exit 1
 
-(test -f stamp-h1 && test -f sdir/stamp-h2 && test -f stamp-h3) || exit 1
+test -f stamp-h1 || exit 1
+test -f stamp-h2 || exit 1
+test -f stamp-h3 || exit 1
+test -f sdir1/stamp-h4 || exit 1
+test -f sdir1/stamp-h5 || exit 1
+test -f sdir1/stamp-h6 || exit 1
+test -f sdir1/stamp-h7 || exit 1
+
 exit 0
Index: tests/confh2.test
--- tests/confh2.test Sat, 20 Oct 2001 12:29:22 +0200 akim
+++ tests/confh2.test Fri, 26 Oct 2001 00:42:40 +0200 akim
@@ -1,29 +0,0 @@
-#! /bin/sh
-
-# Test to make sure stamp files created correctly.
-# Report from Erez Zadok.
-
-. $srcdir/defs || exit 1
-
-cat > configure.in << 'END'
-AC_INIT
-AM_INIT_AUTOMAKE(nonesuch, nonesuch)
-PACKAGE=nonesuch
-VERSION=nonesuch
-AM_CONFIG_HEADER(config.h:include/config.h.in)
-AC_OUTPUT(Makefile)
-END
-
-: > Makefile.am
-: > acconfig.h
-
-mkdir include
-: > include/config.h.in
-
-$ACLOCAL || exit 1
-$AUTOMAKE || exit 1
-
-grep '^config.h:' Makefile.in || exit 1
-fgrep 'echo timestamp > stamp-h' Makefile.in || exit 1
-fgrep '../include/config.h.in' Makefile.in && exit 1
-exit 0
Index: tests/confh3.test
--- tests/confh3.test Sat, 20 Oct 2001 12:29:22 +0200 akim
+++ tests/confh3.test Fri, 26 Oct 2001 00:42:40 +0200 akim
@@ -1,31 +0,0 @@
-#! /bin/sh
-
-# Another test to make sure stamp files created correctly.
-# Report from Erez Zadok.
-
-. $srcdir/defs || exit 1
-
-cat > configure.in << 'END'
-AC_INIT
-AM_INIT_AUTOMAKE(nonesuch, nonesuch)
-PACKAGE=nonesuch
-VERSION=nonesuch
-AM_CONFIG_HEADER(d1/config.h:d2/config.h.in)
-AC_OUTPUT(Makefile d1/Makefile)
-END
-
-: > Makefile.am
-: > acconfig.h
-
-mkdir d1 d2
-
-: > d1/Makefile.am
-
-: > d2/config.h.in
-
-$ACLOCAL || exit 1
-$AUTOMAKE || exit 1
-
-grep '^config.h:' d1/Makefile.in || exit 1
-fgrep 'echo timestamp > stamp-h' d1/Makefile.in || exit 1
-fgrep '../d2/config.h.in' d1/Makefile.in || exit 1



reply via email to

[Prev in Thread] Current Thread [Next in Thread]